### Property

# Vte Terminal:cjk-ambiguous-width

#### Declaration

    property cjk-ambiguous-width: int [ read, write ]

#### Description [src]

This setting controls whether ambiguous-width characters are narrow or wide. (Note that when using a non-UTF-8 encoding set via vte_terminal_set_encoding(), the width of ambiguous-width characters is fixed and determined by the encoding itself.)

This setting only takes effect the next time the terminal is reset, either via escape sequence or with vte_terminal_reset().

Type:`gint`

Default value | 1
Getter method | `vte_terminal_get_cjk_ambiguous_width()`
Setter method | `vte_terminal_set_cjk_ambiguous_width()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no